import setuptools

tests_require = ["pytest", "pytest-cov", "pytest-flake8", "pytest-black", "yamllint"]
scm_version_template = """# Generated by setuptools_scm
__all__ = ["__version__"]
__version__ = "{version}"
"""

setuptools.setup(
    name="ts_IntegrationTests",
    description="TSSW integration test scripts.",
    use_scm_version={
        "write_to": "python/lsst/ts/IntegrationTests/version.py",
        "write_to_template": scm_version_template,
    },
    setup_requires=["setuptools_scm"],
    tests_require=tests_require,
    package_dir={"": "python"},
    packages=setuptools.find_namespace_packages(where="python"),
    scripts=[
        "bin/simple_script.py",
        "bin/auxtel_visit.py",
    ],
    license="GPL",
    project_urls={
        "Bug Tracker": "https://jira.lsstcorp.org/secure/Dashboard.jspa",
        "Source Code": "https://github.com/lsst-ts/ts_IntegrationTests",
    },
)
